Source: ruby-typed-array
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb,
               ruby-rspec
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-typed-array.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-typed-array
Homepage: https://github.com/yaauie/typed-array
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-typed-array
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby:any,
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: foreign
Description: Ruby library providing enforced-type functionality to Arrays
 All methods that alter the contents of an array that implements this Gem are
 first checked to ensure that the added items are of the types allowed. All
 methods behave exactly as their Array counterparts, including additional
 forms, block processing, etc.
